Bug 623108 - [abrt] crash in preupgrade-1.1.7-1.fc12: ConfigParser.py:482:_read:MissingSectionHeaderError: File contains no section headers.
[abrt] crash in preupgrade-1.1.7-1.fc12: ConfigParser.py:482:_read:MissingSec...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:ac763943
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 07:13 EDT by John Antony
Modified: 2011-02-14 05:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 07:52:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.03 KB, text/plain)
2010-08-11 07:13 EDT, John Antony
no flags Details

  None (edit)
Description John Antony 2010-08-11 07:13:02 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/share/preupgrade/preupgrade-gtk.py
component: preupgrade
executable: /usr/share/preupgrade/preupgrade-gtk.py
kernel: 2.6.31.5-127.fc12.i686
package: preupgrade-1.1.7-1.fc12
reason: ConfigParser.py:482:_read:MissingSectionHeaderError: File contains no section headers.
release: Fedora release 12 (Constantine)

backtrace
-----
ConfigParser.py:482:_read:MissingSectionHeaderError: File contains no section headers.
file: <???>, line: 1
'<html>\r\n'

Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 797, in <module>
    widgets = PreUpgradeGtk()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 341, in __init__
    self.pu.retrieve_release_info()
  File "/usr/lib/python2.6/site-packages/preupgrade/__init__.py", line 154, in retrieve_release_info
    cp.readfp(configdata)
  File "/usr/lib/python2.6/ConfigParser.py", line 305, in readfp
    self._read(fp, filename)
  File "/usr/lib/python2.6/ConfigParser.py", line 482, in _read
    raise MissingSectionHeaderError(fpname, lineno, line)
MissingSectionHeaderError: File contains no section headers.
file: <???>, line: 1
'<html>\r\n'

Local variables in innermost frame:
cursect: None
fp: <urlgrabber.grabber.PyCurlFileObject instance at 0xa44298c>
e: None
fpname: '<???>'
mo: None
optname: None
lineno: 1
line: '<html>\r\n'
self: <ConfigParser.ConfigParser instance at 0xa25b72c>
Comment 1 John Antony 2010-08-11 07:13:05 EDT
Created attachment 438159 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 07:03:37 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 07:52:02 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Mark 2011-02-14 04:19:09 EST
Hi,

I have managed to reproduce it in Fedora 14. 

command: uname -r
result:  2.6.35.10-74.fc14.x86_64

command: preupgrade
result:
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 797, in <module>
    widgets = PreUpgradeGtk()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 341, in __init__
    self.pu.retrieve_release_info()
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 154, in retrieve_release_info
    cp.readfp(configdata)
  File "/usr/lib64/python2.7/ConfigParser.py", line 316, in readfp
    self._read(fp, filename)
  File "/usr/lib64/python2.7/ConfigParser.py", line 504, in _read
    raise MissingSectionHeaderError(fpname, lineno, line)
ConfigParser.MissingSectionHeaderError: File contains no section headers.
file: <???>, line: 18
'<html>\n'

And maybe this info will also help...
command: rpm -qa | grep preupgrade
result:  preupgrade-1.1.8-1.fc14.noarch
Comment 5 Mark 2011-02-14 05:19:31 EST
Hi again,

After I had sent above error I have figure out possible cause of it and yes... it was it. I am behind firewall. I have configured proxy in gnome but for such programs as preupgrade is one needs also export http_proxy. So after:

http_proxy=http://my.proxy.com:1234
export http_proxy

... preupgrade works :)

So there is no need to fix preupgrade but maybe more verbose exceptions should be welcomed ;)

Thanks and maybe my description will also help somebody other ;)

Note You need to log in before you can comment on or make changes to this bug.